/* Rexx program to install PhoneBoy Print */
'echo off'

call rxfuncadd 'sysloadfuncs','rexxutil','sysloadfuncs'
call sysloadfuncs

parse arg parms

if parms = ""
    Then
        Do
            'CLS'
            Say ''
            Say ''
            Say 'ERROR!'
            Say 'Incorrect or missing parameters'
            Say 'Correct syntax is:  '
            Say '     SWInst ShowWho_directory'
            Return
        End

parse var parms pbpDir

if right(pbpDir,1) <> '\'
    Then pbpDir = pbpDir||'\'

/* Let's do the disclaimer stuff */
'CLS'
Say ''
Say ''
Say 'By using this program, you are agreeing to accept'
Say 'all risk for use of this program.'
Say ''
Say 'This means that YOU and YOU ALONE are responsible for'
Say 'any and all problems that may arise from use of this software.'
Say ''
Say 'Do you agree to these terms? (Y/N):'
pull agree

if agree <> 'Y'
    Then Exit


Say 'Do you really want to install ShowWho into 'pbpDir' (Y/N) ?'
pull response

if response = 'Y'
    Then
        Do
            'echo y|xcopy *.* '||pbpDir||'>NUL'

           call SysCreateObject 'WPProgram', 'ShowWho', '<WP_DESKTOP>',';EXENAME='||pbpDir||'\ShowWho.Cmd;STARTUPDIR='||pbpDir||';PROGTYPE=OS2WINDOW;OBJECTID=<ShowWho>',REPLACE
        End

Say 'Installation completed successfully.'

Say 'Do you wish to read the ShowWho.Doc file now?'
pull response

if response = 'Y'
    Then
        'type ShowWho.Doc|more'

Say 'Do you wish to print the ShowWho.Doc file now?'
pull response

if response = 'Y'
    Then
        'print ShowWho.doc'
